Skip to content
vocapable.Docs

Check the domain's TXT record now

POST
/v1/workspace/sso/domains/{domain_id}/verify
curl --request POST \
--url https://api.vocapable.com/v1/workspace/sso/domains/example/verify \
--header 'Authorization: Bearer <token>'
domain_id
required
Domain Id
string

Successful Response

Media typeapplication/json
WorkspaceSsoDomain
object
id
required
Id
string
domain
required
Domain
string
record_name
required
Record Name
string
record_value
required
Record Value
string
verified_at
required
Any of:
string format: date-time
last_checked_at
required
Any of:
string format: date-time
Examplegenerated
{
"id": "example",
"domain": "example",
"record_name": "example",
"record_value": "example",
"verified_at": "2026-04-15T12:00:00Z",
"last_checked_at": "2026-04-15T12:00:00Z"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}